import Color from "../system/Color";
import { StiHorizontalAlignment } from "../system/enums";
import { StiModelService } from "./model.service";
import * as i0 from "@angular/core";
export declare class StiRichTextService {
    model: StiModelService;
    private sizes;
    private xSizes;
    activeTextStyles: any[];
    activeAlignment: StiHorizontalAlignment;
    activeFontFamily: string;
    activeFontSize: number;
    activeColor: Color;
    currentSelectedTextIsBold: boolean;
    currentSelectedTextIsItalic: boolean;
    currentSelectedTextIsUnderline: boolean;
    currentSelectedTextHasCenterAlignment: boolean;
    currentSelectedTextHasLeftAlignment: boolean;
    currentSelectedTextHasRightAlignment: boolean;
    constructor(model: StiModelService);
    showCurrentState(): void;
    execCommand(command: string, value?: string): void;
    hexToRgb(hex: any): string;
    getIframe(): any;
    insertBold(): void;
    insertItalic(): void;
    insertUnderline(): void;
    insertForeColor(): void;
    insertFontFamily(fontName: any): void;
    insertFontSize(): void;
    setCenterAlignment(): void;
    setLeftAlignment(): void;
    setRightAlignment(): void;
    convertSizeMmToHtmlSize(sizeMm: number): number;
    convertDocumentToForm(srcDoc: any): string;
    convertHtmlAttributesForWysiwyg(doc: any): void;
    getNavigatorName(): string;
    getIEVersion(): number;
    initFont(htmlTextString: string): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<StiRichTextService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<StiRichTextService>;
}
